openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/GRAPH_STRUCTURAL:
    post:
      tags:
      - GSUX
      summary: 'SAP Structural Graphics: ABAP/4 Interface'
      operationId: /rfc/GRAPH_STRUCTURAL
      requestBody:
        content:
          application/json:
            schema:
              properties:
                ADDSHAPES:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: '''X'': Activate more object shapes'
                APPLTITLE:
                  type: string
                  default: ' '
                  maxLength: 72
                  description: Window title
                EDITABLE:
                  type: string
                  default: X
                  maxLength: 1
                  description: '''X'': Structure can be changed'
                EXTACTBAR:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: '''X'': Extend the menu bar'
                FOCUS:
                  type: string
                  default: X
                  maxLength: 1
                  description: '''X'': Window is placed in foreground'
                NEWFORMAT:
                  type: string
                  default: X
                  maxLength: 1
                  description: <TO BE DELETED> New data format
                PATTERN:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: Comparison sample
                PWDID:
                  type: string
                  default: ' '
                  maxLength: 16
                  description: Standard dialog parameter
                REFRESH:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: '''X'': Previous structure is deleted fully'
                SO_CONTENTS:
                  type: string
                  default: ' '
                  maxLength: 50
                  description: 'SAPoffice: Subtitle of generated document'
                SO_RECEIVER:
                  type: string
                  default: ' '
                  maxLength: 12
                  description: 'SAPoffice: Recipient of generated document'
                SO_SEND:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: '''X'': Send graphic as an SAPoffice document'
                SO_TITLE:
                  type: string
                  default: ' '
                  maxLength: 12
                  description: 'SAPoffice: Document description'
                STATUS:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Standard dialog parameter (=STAT)
                SUPER:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Standard dialog parameter
                TBOXOPEN:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: '''X'': Toolbox is opened at the start'
                TBOXPOSX:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Horizontal position of the tool box
                TBOXPOSY:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Vertical position of the toolbox
                TBOXSIZEX:
                  type: integer
                  format: int64
                  description: Width of the toolbox
                TBOXSIZEY:
                  type: integer
                  format: int64
                  description: Height of the toolbox
                TBOXTITLE:
                  type: string
                  default: ' '
                  maxLength: 40
                  description: 'Toolbox: Window title'
                THELPTEXT:
                  type: string
                  default: ' '
                  maxLength: 24
                  description: 'Toolbox: Text for docu button'
                TOOLSTITLE:
                  type: string
                  default: ' '
                  maxLength: 40
                  description: 'Toolbox: Title for tool list'
                TSETSTITLE:
                  type: string
                  default: ' '
                  maxLength: 40
                  description: 'Toolbox: Title for tool groups'
                VERSION30A:
                  type: string
                  default: X
                  maxLength: 1
                  description: <INTERNAL> Version 30A
                VIEWTITLE:
                  type: string
                  default: ' '
                  maxLength: 72
                  description: View heading
                WINID:
                  type: string
                  default: ' '
                  maxLength: 16
                  description: Standard dialog parameter
                WINPOSX:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Horizontal window position
                WINPOSY:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Vertical window position
                WINSIZEX:
                  type: integer
                  format: int64
                  description: Window width
                WINSIZEY:
                  type: integer
                  format: int64
                  description: Window height
                OBJECTS:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJECT:
                        type: string
                        maxLength: 30
                        description: Object key
                      DELETE:
                        type: string
                        maxLength: 1
                        description: 'Flag to delete object  enumValues: ""=Not Selected,X=Selected'
                        enum:
                        - ''
                        - X
                      MASTER:
                        type: string
                        maxLength: 30
                        description: Key for Superordinate Object
                      EMPHASIZED:
                        type: string
                        maxLength: 1
                        description: Flag for highlighted object
                      AUTFTEXT:
                        type: string
                        maxLength: 80
                        description: Object texts in overview mode
                      DISPTEXT:
                        type: string
                        maxLength: 511
                        description: Object texts in detail mode
                      OBEGDATE:
                        type: string
                        format: date
                        description: Start date for object
                      OENDDATE:
                        type: string
                        format: date
                        description: End date of object
                      OTYPE:
                        type: string
                        maxLength: 2
                        description: Object type
                      OSTATUS:
                        type: string
                        maxLength: 1
                        description: Object status
                      STAFF:
                        type: string
                        maxLength: 1
                        description: Indicator for staff object
                      DUMMY:
                        type: string
                        maxLength: 1
                        description: Indicator for dummy object
                      RELATION:
                        type: string
                        maxLength: 4
                        description: Relationship to superordinate object
                      RELATEXT:
                        type: string
                        maxLength: 64
                        description: Relationship texts
                      PRIORITY:
                        type: string
                        maxLength: 2
                        description: Priority for relationship
                      RSTATUS:
                        type: string
                        maxLength: 1
                        description: Status of relationship
                      RBEGDATE:
                        type: string
                        format: date
                        description: Start date for relationship
                      RENDDATE:
                        type: string
                        format: date
                        description: End date for relationship
                      BOXCOLOR:
                        type: string
                        maxLength: 2
                        description: Background color
                      TEXTCOLOR:
                        type: string
                        maxLength: 2
                        description: Text color
                      SHAPE:
                        type: string
                        maxLength: 2
                        description: Box shape
                      LINECOLOR:
                        type: string
                        maxLength: 2
                        description: Line color
                      LINESTYLE:
                        type: string
                        maxLength: 2
                        description: Line type
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  M_TYP:
                    type: string
                    maxLength: 1
                    description: Standard dialog parameter
                  RWNID:
                    type: string
                    maxLength: 16
                    description: Standard dialog parameter
                  OBJECTS:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJECT:
                          type: string
                          maxLength: 30
                          description: Object key
                        DELETE:
                          type: string
                          maxLength: 1
                          description: 'Flag to delete object  enumValues: ""=Not Selected,X=Selected'
                          enum:
                          - ''
                          - X
                        MASTER:
                          type: string
                          maxLength: 30
                          description: Key for Superordinate Object
                        EMPHASIZED:
                          type: string
                          maxLength: 1
                          description: Flag for highlighted object
                        AUTFTEXT:
                          type: string
                          maxLength: 80
                          description: Object texts in overview mode
                        DISPTEXT:
                          type: string
                          maxLength: 511
                          description: Object texts in detail mode
                        OBEGDATE:
                          type: string
                          format: date
                          description: Start date for object
                        OENDDATE:
                          type: string
                          format: date
                          description: End date of object
                        OTYPE:
                          type: string
                          maxLength: 2
                          description: Object type
                        OSTATUS:
                          type: string
                          maxLength: 1
                          description: Object status
                        STAFF:
                          type: string
                          maxLength: 1
                          description: Indicator for staff object
                        DUMMY:
                          type: string
                          maxLength: 1
                          description: Indicator for dummy object
                        RELATION:
                          type: string
                          maxLength: 4
                          description: Relationship to superordinate object
                        RELATEXT:
                          type: string
                          maxLength: 64
                          description: Relationship texts
                        PRIORITY:
                          type: string
                          maxLength: 2
                          description: Priority for relationship
                        RSTATUS:
                          type: string
                          maxLength: 1
                          description: Status of relationship
                        RBEGDATE:
                          type: string
                          format: date
                          description: Start date for relationship
                        RENDDATE:
                          type: string
                          format: date
                          description: End date for relationship
                        BOXCOLOR:
                          type: string
                          maxLength: 2
                          description: Background color
                        TEXTCOLOR:
                          type: string
                          maxLength: 2
                          description: Text color
                        SHAPE:
                          type: string
                          maxLength: 2
                          description: Box shape
                        LINECOLOR:
                          type: string
                          maxLength: 2
                          description: Line color
                        LINESTYLE:
                          type: string
                          maxLength: 2
                          description: Line type
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
